#ifndef __SPHERE__
#define __SPHERE__

#include <stdlib.h>
#include "Vec3f.h"

class VertexBufferObject;

class Sphere
{
public:

	Sphere( Vec3f diffuseColor = Vec3f(1,1,1));

	virtual ~Sphere();

	void render();

	float getRadius();

protected:

	VertexBufferObject* vbo;
};

#endif __SPHERE__